import { getCandidateCallStatus } from "../../../utils/election/index.js";
import { useMemo } from 'react';
import useContestSummaryResults from '../useContestSummaryResults';
const useCandidateCallStatus = function useCandidateCallStatus(contestId, candidateId) {
  const summary = useContestSummaryResults(contestId);
  return useMemo(() => getCandidateCallStatus(summary, candidateId), [summary, candidateId]);
};
export default useCandidateCallStatus;